Home » Nodejs » Unable to install node couchbase

Unable to install node couchbase

Posted by: admin November 30, 2017 Leave a comment

Questions:

The couchbase builderror.log file is completely empty. Everything installs fine with npm install, no errors on screen or in the log.

Relevant details:

$ echo $PATH
/Users/david_fells/.nvm/v0.10.40/bin:/usr/bin:/Applications/MAMP/Library/bin:/Users/david_fells/.node_modules_global/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
$ node -v
v0.10.40
$ python -V
Python 2.7.6

Starting the app (node index.js or npm start):

[2015-09-30T15:26:23] [ERROR] [Error: Module did not self-register.]
[2015-09-30T15:26:23] [ERROR] { [Error: Cannot find module './build/default/DTraceProviderBindings'] code: 'MODULE_NOT_FOUND' }
[2015-09-30T15:26:23] [ERROR] { [Error: Cannot find module './build/Debug/DTraceProviderBindings'] code: 'MODULE_NOT_FOUND' }
/Users/david_fells/projects/inmarCDM/node_modules/couchbase/lib/binding.js:152
  throw new Error('Failed to locate couchnode native binding' +
  ^

Error: Failed to locate couchnode native binding (maybe check builderror.log!)
    at Object.<anonymous> (/Users/david_fells/projects/inmarCDM/node_modules/couchbase/lib/binding.js:152:9)
    at Module._compile (module.js:434:26)
    at Object.Module._extensions..js (module.js:452:10)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Function.cls_wrapMethod [as _load] (/Users/david_fells/projects/inmarCDM/node_modules/newrelic/lib/shimmer.js:230:38)
    at Module.require (module.js:365:17)
    at require (module.js:384:17)
    at Object.<anonymous> (/Users/david_fells/projects/inmarCDM/node_modules/couchbase/lib/couchbase.js:3:15)
    at Module._compile (module.js:434:26)

Process finished with exit code 1

NPM log has this:

0 info it worked if it ends with ok
1 verbose cli [ '/Users/david_fells/.nvm/v0.10.40/bin/node',
1 verbose cli   '/Users/david_fells/.nvm/v0.10.40/bin/npm',
1 verbose cli   'start' ]
2 info using [email protected]
3 info using [email protected]
4 verbose run-script [ 'prestart', 'start', 'poststart' ]
5 info prestart [email protected]
6 info start [email protected]
7 verbose unsafe-perm in lifecycle true
8 info [email protected] Failed to exec start script
9 error [email protected] start: `node index.js`
9 error Exit status 255
10 error Failed at the [email protected] start script.
10 error This is most likely a problem with the inmarCDM package,
10 error not with npm itself.
10 error Tell the author that this fails on your system:
10 error     node index.js
10 error You can get their info via:
10 error     npm owner ls inmarCDM
10 error There is likely additional logging output above.
11 error System Darwin 14.4.0
12 error command "/Users/david_fells/.nvm/v0.10.40/bin/node" "/Users/david_fells/.nvm/v0.10.40/bin/npm" "start"
13 error cwd /Users/david_fells/projects/inmarCDM
14 error node -v v0.10.40
15 error npm -v 1.4.28
16 error code ELIFECYCLE
17 verbose exit [ 1, true ]

Here’s the full output from an npm silly: https://dl.dropboxusercontent.com/u/34647212/npm.log

Answers:

Check this thread from couchbase forum.

It seems that your environment is lacking some prerequisites of node-gyp

Then check node-gyp‘s official readme.

May the odds be ever in your favor